Package org.apache.sling.testing.resourceresolver

# Interface MockResourceFactory

All Known Implementing Classes:
  `DefaultMockResourceFactory`

public interface MockResourceFactory
Implement this interface to customize how MockResource objects are created by the MockResourceResolver

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.Resource`
`newMockResource(String path, Map<String,Object> properties, org.apache.sling.api.resource.ResourceResolver resolver)`

## Method Details

### newMockResource

org.apache.sling.api.resource.Resource newMockResource(String path, Map<String,Object> properties, org.apache.sling.api.resource.ResourceResolver resolver)